Supported Browsers

The Simpli5 and 5 Dynamics applications work on most popular web browsers. The systems work best with the most recently updated versions of them. It is compatible on both PCs and Macs.

JavaScript and cookies will need to be enabled on any browser in order for the site and its features to work properly.

When using Simpli5 or 5 Dynamics, we recommend using any of the following browser versions as these have been tested and verified using the applications:

  • Microsoft Internet Explorer (MSIE) 11.648.17134.0
  • Mozilla Firefox 66.0.2
  • Apple Safari 11.1.2
  • Google Chrome 73.0.3683.103

If you are not using one of the browser versions listed above, 5 Dynamics cannot guarantee the stability and functionality of the Simpli5 and 5 Dynamics applications and does not provide support for it.

For your protection, 5 Dynamics does not support beta versions of browsers. Under normal circumstances, 5 Dynamics will support the final version of a browser shortly after the release date. We regularly monitor and test browsers to ensure the highest reliability and security standards for our customers.

If you need further assistance, please email technical support at support@5dynamics.com.

(Last updated: 3/27/2019)